Skip to main content

Questions phoneME Advanced support to MIPS?

2 replies [Last post]
shbear_ly
Offline
Joined: 2010-02-05
Points: 0

I am working on getting phoneME Advanced work with linxu/mips platform.

What I using version is phoneme_advanced-mr2-dev-b47 before.
In this version there is 3 mips directories in CDC/build directory.
linux-mips
linux-mips-cobalt
linux-mips-sgi.

I can get work on gcc-3.4.2 with linux kernel 2.06.xx.

When updating kernel and gcc to gcc-4.2.3, I can't get a successful run though get compile ok(there is a sigaction problem, I correct it).
I get newest phoneME (phoneme_advanced-mr2-dev-b97), the mips directories don't exist in CDC/build.

I get confused. The offical website say phoneME Advanced support MIPS. Why remove them in latest package?

Is there some solution about this issue?

thanks in advance.

nonobear

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
vaij1977
Offline
Joined: 2010-11-08
Points: 0

Hi,
I would also like to compile the phomeMe for linux-mips platform. As you had mentioned the linux-mips build options are not available in the b97 release.

Can you please let me know how you had resolved this issue?

Thanks
Mala

Hinkmond Wong Guest
Offline
Joined: 2010-11-03
Points: 0

On 11/8/2010 9:53 PM, forums@java.net wrote:
> Hi,
>
> I would also like to compile the phomeMe for linux-mips platform. As
> you had
> mentioned the linux-mips build options are not available in the b97
> release.
>
>
>
> Can you please let me know how you had resolved this issue?

Hi Mala,

Don't use the b97 release, since that is packaged with only specifically
tested builds. Instead use svn to checkout directly from the repository.

See the instructions at:
http://wiki.java.net/bin/view/Mobileandembedded/PhoneMEAdvancedBSGQuick

If you follow the above instructions, you will find the linux-mips*
directories in the build subdir.

Thanks,
Hinkmond